%global momorel 3

%{!?tcl:%define tcl 1}
%{!?guile:%define guile 1}

Summary: Connects C/C++/Objective C to some high-level programming languages
Name: swig
Version: 1.3.40
Release: %{momorel}m%{?dist}
License: BSD
Group: Development/Tools
URL: http://swig.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/swig/swig-%{version}.tar.gz
NoSource: 0
Patch1: swig-1.3.23-pylib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf, automake
BuildRequires: perl, python-devel >= 2.5
BuildRequires: java-devel
%if %{tcl}
BuildRequires: tcl-devel
%endif
%if %{guile}
BuildRequires: guile-devel
%endif

%description
Simplified Wrapper and Interface Generator (SWIG) is a software
development tool for connecting C, C++ and Objective C programs with a
variety of high-level programming languages.  SWIG is primarily used
with Perl, Python and Tcl/TK, but it has also been extended to Java,
Eiffel and Guile.  SWIG is normally used to create high-level
interpreted programming environments, systems integration, and as a
tool for building user interfaces.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .pylib

%build
./autogen.sh
%configure
make %{?_smp_mflags}
#make check

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES FUTURE INSTALL LICENSE NEW README TODO
%doc Doc/*
%{_bindir}/*
%{_datadir}/swig/*
%{_mandir}/man1/ccache-swig.1*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.40-3m)
- full rebuild for mo7 release

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.40-2m)
- use BuildRequires

* Thu Jan 21 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.3.40-1m)
- update to 1.3.40

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.39-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.39-1m)
- update to 1.3.39

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.35-2m)
- rebuild against rpm-4.6

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.35-1m)
- update 1.3.35

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.33-2m)
- rebuild against gcc43

* Fri Nov 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.33-1m)
- update 1.3.33

* Sat Jun 30 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.3.31-2m)
- added BuildPrereq: java-devel

* Sun Dec 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.31-1m)
- update 1.3.31

* Thu Aug 17 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.29-1m)
- version up againt for subversion-1.4

* Wed May 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.24-1m)
- version down

* Wed May 03 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.3.29-1m)
- version up

* Sun Dec 11 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3.27-2m)
- remove Patch0: swig-1.3.19-x86_64.patch

* Sun Dec  5 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.3.27-1m)
- new version.
- stop applying dated patches.

* Sun Mar 13 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3.21-2m)
- revised swig-1.3.19-x86_64.patch

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.3.21-1m)
- version up

* Wed Jan 19 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.19-6m)
- apply x86_64 patch on x86_64 environment only

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (1.3.19-5m)
- enable x86_64.

* Fri Oct  1 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3.19-4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Fri Oct  1 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.3.19-3m)
- lib64

* Sun Apr 27 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.19-2m)
  added /usr/lib/libswig*

* Sun Apr 27 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.19-1m)
  update to 1.3.19

* Fri Jul 19 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.13-1m)
- update to 1.3.13

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Sat Nov 25 2000 Kenichi Matsubara <m@kondara.org>
- add %clean,%ChangeLog section. :-P

